station_header:
  namespace: "Organisms/TM - Stations"
  use: "@organisms/tm-stations/station-header/station-header.twig"
  label: Station Header
  description: Station Header
  libraries:
    - station_header_lib:
        css:
          component:
            ../styles/station-header.css: { weight: 10 }

  fields:
    station:
      type: text
      label: Station
      description: The Station text
      preview: "Colchester (COL)"
    address:
      type: object
      label: Address
      description: Address
      preview:
        - "Colchester [North] station"
        - "Station Approach Road"
        - "Colchester"
        - "Essex"
        - "CO1 1XD"
    ticket_office:
      type: object
      label: Address
      description: Address
      preview:
        - "Monday to friday - 8 to 5"
        - "Saturday - 7 to 3"
        - "Sunday - 1 to 2"
    map:
      type: pattern
      label: Form
      preview:
        id: google_map
    checklist:
      type: object
      label: Checklist
      description: checklist
      preview:
        - Ticket office
        - Step-free access
        - Bus service
        - Prepurchase collection
        - Car park
        - Ticket machine
        - Toilets
        - Taxi-rank
    post:
      type: text
      label: Post
      description: Post
      preview:
        faker: lorem.sentences
